# -*- coding: utf-8 -*-
#
#    Copyright 2019 Fabien Bourgeois <fabien@yaltik.com>
#    Copyright 2019 Youssef El Ouahby <youssef@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

""" GOLEM Activity Registration Analysis Wizard Adaptation """

from odoo import models, fields, api


class GolemActivityRegistrationAnalysisWizard(models.TransientModel):
    """ GOLEM Activity Registration Analysis Wizard Adaptation  """
    _inherit = 'golem.activity.registration.analysis.wizard'
    _description = 'GOLEM Activity Registration Analysis Wizard Adaptation '

    @api.multi
    def get_registrations(self):
        """ Returns registrations """
        self.ensure_one()
        return self.env['golem.activity.registration'].search(
            [('season_id', '=', self[0].season_id.id),
             ('state', '=', 'confirmed')]
        )
